Summary: Command line tool to send SMS (short message system/service)
Name: smsclient
Version: 2.0.9a
Release: 7.2
Copyright: LGPL
Group: Applications/Communications
Source: http://www.smsclient.org/download/%{name}-2.0.9/%{name}-%{version}.tar.gz
Patch0: smsclient-2.0.9a-Makefile.patch
URL: http://www.smsclient.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl

%description
SMS Client is a UNIX command line based utility which allows you to send SMS
messages to mobile phones and pagers. SMS Client currently supports
a wide variety of services providers and protocols.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure
# cleanup the Makefiles
MAKEFILES=`find . -name Makefile -print`
#perl -pi -e 's/-o \$\(SMSUSER\) -g \$\(SMSGROUP\) //' $MAKEFILES
perl -pi -e 's/(\$\(INSTALL\).*?)(\$\((BIN|LOG|MAN|MSERVICE|SPOOL)DIR\))/$1\$(DESTDIR)$2/' $MAKEFILES
perl -pi -e "s/^(CFLAGS\s*=)/\$1 $RPM_OPT_FLAGS /" Makefile.config
make

%install
mkdir -p $RPM_BUILD_ROOT/var/spool/sms/{errors,locks,incoming,named_pipes,services}
mkdir -p $RPM_BUILD_ROOT/var/log
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sms/scripts
mkdir -p $RPM_BUILD_ROOT/etc/sms/services
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 bin/sms_client $RPM_BUILD_ROOT/usr/bin
install -m 755 bin/sms_address $RPM_BUILD_ROOT/usr/bin
( 
  cd sms/services
  for service in * ; do 
    install -m 644 $service $RPM_BUILD_ROOT/etc/sms/services; \
    install -m 755 -d $RPM_BUILD_ROOT/var/spool/sms/services/$service
    install -m 755 -d $RPM_BUILD_ROOT/var/spool/sms/errors/$service
  done
)
install -m 644 sms/scripts/email $RPM_BUILD_ROOT/etc/sms/scripts
(
cd sms
for files in sms_config sms_addressbook sms_modem sms_services sms_daemons; do
  install -m 644 $files $RPM_BUILD_ROOT/etc/sms
done
)

install -m 644 docs/sms_client.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sms
%doc Changelog FAQ README README.1ST TODO AUTHORS contrib docs 
/usr/bin/*
%{_mandir}/*/*
%dir /var/spool/sms
/var/spool/sms/*

%changelog
* Mon Mar 25 2002 Koenraad Heijlen <vipie@ulyssis.org>
- removed 2 patch files (they are in the main tree)
- changed url's
- changed version numbers

* Wed Feb 27 2002 Msquared <msq-vodapatch-smsclient@msquared.com.au>
- patched to limit sending to 5 messages per session for
  VodaFone TeleNotes in Australia

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Karsten Hopp <karsten@redhat.de>
- fixed mandir

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- use %%{_tmppath}
- rebuilt

* Sat Jun 10 2000 Karsten Hopp <karsten@redhat.de>
- fixed mandir
- fixed install

* Mon Jun 05 2000 Michael Stefaniuc <mstefani@redhat.com>
- initial packaging
